# Generated from jekyll-theme-cvent-dev-portal-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jekyll-theme-cvent-dev-portal

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Cvent Dev Portal Guide style elements for Jekyll
License: Apache-2.0 and ISC
URL: https://github.com/cvent/jekyll-theme-cvent-dev-portal
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rubocop)
BuildArch: noarch

%description
Provides consistent style elements for the Cvent Dev Portal Guide generated
using Jekyll. Derived from jekyll-theme-guides-mbland v1.0.3
(https://github.com/mbland/jekyll-theme-guides-mbland/releases/tag/v1.0.3).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/_includes
%{gem_instdir}/_layouts
%{gem_instdir}/_sass
%{gem_instdir}/assets
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Tue Aug 24 2021 mockbuilder - 1.0.0-1
- Initial package
